Bug 817008 - RemoteCacheStore not working with CNFE: org.infinispan.client.hotrod.impl.transport.tcp.TcpTransportFactory
RemoteCacheStore not working with CNFE: org.infinispan.client.hotrod.impl.tra...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: unspecified (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ---
: 6.0.0
Assigned To: Tristan Tarrant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 08:27 EDT by Martin Gencur
Modified: 2013-10-06 20:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
remote store exception (6.30 KB, text/plain)
2012-04-27 08:27 EDT, Martin Gencur
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker AS7-4426 Critical Resolved Remote store config errors in AS7 2017-04-28 17:04 EDT

  None (edit)
Description Martin Gencur 2012-04-27 08:27:58 EDT
Created attachment 580751 [details]
remote store exception

Description of problem:

The RemoteCacheStore is not working currently. JDG fails to start and throws the attached exception.
Comment 1 JBoss JIRA Server 2012-04-30 15:34:34 EDT
Radoslav Husar <rhusar@redhat.com> made a comment on jira AS7-4426

PR was merged, resolving.

Thanks Tristan.
Comment 2 JBoss JIRA Server 2012-08-20 05:18:46 EDT
rang s <ranga033@gmail.com> made a comment on jira AS7-4426

Does this work in 7.1.2.FINAL? I still get errors. Can someone confirm the version ?
Comment 3 JBoss JIRA Server 2012-09-11 06:55:22 EDT
Radoslav Husar <rhusar@redhat.com> updated the status of jira AS7-4426 to Reopened
Comment 4 JBoss JIRA Server 2012-09-11 06:55:22 EDT
Radoslav Husar <rhusar@redhat.com> made a comment on jira AS7-4426

Reopening.

[~dereed] notified me, that this issue is still present. If you configure remote cache store in a separate cache manager, the problem is fixed. However, if you configure a remote cache store in a web or ejb cache manager which sets its own module class loader, the appropriate cache store classes (org.infinispan.cachestore.remote) are not on CP and are causing this regression.

{noformat}
12:51:23,066 ERROR [org.jboss.msc.service.fail] (ServerService Thread Pool -- 54) MSC000001: Failed to start service jboss.infinispan.web.rhusarRemoteCacheStore: org.jboss.msc.service.StartException in service jboss.infinispan.web.rhusarRemoteCacheStore: org.infinispan.CacheException: Unable to invoke method public void org.infinispan.loaders.CacheLoaderManagerImpl.start() on object of type CacheLoaderManagerImpl
	at org.jboss.as.clustering.msc.AsynchronousService$1.run(AsynchronousService.java:87) [jboss-as-clustering-common-7.1.3.Final-redhat-1.jar:7.1.3.Final-redhat-1]
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_35]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_35]
	at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_35]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.0.0.GA-redhat-2.jar:2.0.0.GA-redhat-2]
Caused by: org.infinispan.CacheException: Unable to invoke method public void org.infinispan.loaders.CacheLoaderManagerImpl.start() on object of type CacheLoaderManagerImpl
	at org.infinispan.util.ReflectionUtil.invokeAccessibly(ReflectionUtil.java:238)
	at org.infinispan.factories.AbstractComponentRegistry$PrioritizedMethod.invoke(AbstractComponentRegistry.java:889)
	at org.infinispan.factories.AbstractComponentRegistry.invokeStartMethods(AbstractComponentRegistry.java:639)
	at org.infinispan.factories.AbstractComponentRegistry.internalStart(AbstractComponentRegistry.java:628)
	at org.infinispan.factories.AbstractComponentRegistry.start(AbstractComponentRegistry.java:531)
	at org.infinispan.factories.ComponentRegistry.start(ComponentRegistry.java:174)
	at org.infinispan.CacheImpl.start(CacheImpl.java:521)
	at org.infinispan.manager.DefaultCacheManager.createCache(DefaultCacheManager.java:656)
	at org.infinispan.manager.DefaultCacheManager.getCache(DefaultCacheManager.java:549)
	at org.infinispan.manager.DefaultCacheManager.getCache(DefaultCacheManager.java:563)
	at org.jboss.as.clustering.infinispan.DefaultEmbeddedCacheManager.getCache(DefaultEmbeddedCacheManager.java:125)
	at org.jboss.as.clustering.infinispan.DefaultEmbeddedCacheManager.getCache(DefaultEmbeddedCacheManager.java:116)
	at org.jboss.as.clustering.infinispan.subsystem.CacheService.start(CacheService.java:78)
	at org.jboss.as.clustering.msc.AsynchronousService$1.run(AsynchronousService.java:82) [jboss-as-clustering-common-7.1.3.Final-redhat-1.jar:7.1.3.Final-redhat-1]
	... 4 more
Caused by: org.infinispan.CacheException: Unable to start cache loaders
	at org.infinispan.loaders.CacheLoaderManagerImpl.start(CacheLoaderManagerImpl.java:160)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.6.0_35]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) [rt.jar:1.6.0_35]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [rt.jar:1.6.0_35]
	at java.lang.reflect.Method.invoke(Method.java:597) [rt.jar:1.6.0_35]
	at org.infinispan.util.ReflectionUtil.invokeAccessibly(ReflectionUtil.java:236)
	... 17 more
Caused by: org.infinispan.CacheConfigurationException: Unable to instantiate class org.infinispan.client.hotrod.impl.transport.tcp.TcpTransportFactory
	at org.infinispan.util.Util.loadClass(Util.java:90)
	at org.infinispan.util.Util.getInstance(Util.java:208)
	at org.infinispan.client.hotrod.RemoteCacheManager.start(RemoteCacheManager.java:464)
	at org.infinispan.client.hotrod.RemoteCacheManager.<init>(RemoteCacheManager.java:233)
	at org.infinispan.client.hotrod.RemoteCacheManager.<init>(RemoteCacheManager.java:190)
	at org.infinispan.loaders.remote.RemoteCacheStore.start(RemoteCacheStore.java:164)
	at org.infinispan.loaders.CacheLoaderManagerImpl.start(CacheLoaderManagerImpl.java:152)
	... 22 more
Caused by: java.lang.ClassNotFoundException: org.infinispan.client.hotrod.impl.transport.tcp.TcpTransportFactory
	at java.net.URLClassLoader$1.run(URLClassLoader.java:202) [rt.jar:1.6.0_35]
	at java.security.AccessController.doPrivileged(Native Method) [rt.jar:1.6.0_35]
	at java.net.URLClassLoader.findClass(URLClassLoader.java:190) [rt.jar:1.6.0_35]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:306) [rt.jar:1.6.0_35]
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301) [rt.jar:1.6.0_35]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:247) [rt.jar:1.6.0_35]
	at java.lang.Class.forName0(Native Method) [rt.jar:1.6.0_35]
	at java.lang.Class.forName(Class.java:247) [rt.jar:1.6.0_35]
	at org.infinispan.util.Util.loadClassStrict(Util.java:127)
	at org.infinispan.util.Util.loadClass(Util.java:88)
	... 28 more
{noformat}
Comment 5 JBoss JIRA Server 2012-09-11 07:12:34 EDT
Radoslav Husar <rhusar@redhat.com> made a comment on jira AS7-4426

Reopening.

[~dereed] notified me, that this issue is still present. If you configure remote cache store in a separate cache manager, the problem is fixed. However, if you configure a remote cache store in a web or ejb cache manager which sets its own class loader, the appropriate cache store classes (org.infinispan.cachestore.remote) are not on CP and are causing this regression.

{noformat}
12:51:23,066 ERROR [org.jboss.msc.service.fail] (ServerService Thread Pool -- 54) MSC000001: Failed to start service jboss.infinispan.web.rhusarRemoteCacheStore: org.jboss.msc.service.StartException in service jboss.infinispan.web.rhusarRemoteCacheStore: org.infinispan.CacheException: Unable to invoke method public void org.infinispan.loaders.CacheLoaderManagerImpl.start() on object of type CacheLoaderManagerImpl
	at org.jboss.as.clustering.msc.AsynchronousService$1.run(AsynchronousService.java:87) [jboss-as-clustering-common-7.1.3.Final-redhat-1.jar:7.1.3.Final-redhat-1]
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_35]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_35]
	at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_35]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.0.0.GA-redhat-2.jar:2.0.0.GA-redhat-2]
Caused by: org.infinispan.CacheException: Unable to invoke method public void org.infinispan.loaders.CacheLoaderManagerImpl.start() on object of type CacheLoaderManagerImpl
	at org.infinispan.util.ReflectionUtil.invokeAccessibly(ReflectionUtil.java:238)
	at org.infinispan.factories.AbstractComponentRegistry$PrioritizedMethod.invoke(AbstractComponentRegistry.java:889)
	at org.infinispan.factories.AbstractComponentRegistry.invokeStartMethods(AbstractComponentRegistry.java:639)
	at org.infinispan.factories.AbstractComponentRegistry.internalStart(AbstractComponentRegistry.java:628)
	at org.infinispan.factories.AbstractComponentRegistry.start(AbstractComponentRegistry.java:531)
	at org.infinispan.factories.ComponentRegistry.start(ComponentRegistry.java:174)
	at org.infinispan.CacheImpl.start(CacheImpl.java:521)
	at org.infinispan.manager.DefaultCacheManager.createCache(DefaultCacheManager.java:656)
	at org.infinispan.manager.DefaultCacheManager.getCache(DefaultCacheManager.java:549)
	at org.infinispan.manager.DefaultCacheManager.getCache(DefaultCacheManager.java:563)
	at org.jboss.as.clustering.infinispan.DefaultEmbeddedCacheManager.getCache(DefaultEmbeddedCacheManager.java:125)
	at org.jboss.as.clustering.infinispan.DefaultEmbeddedCacheManager.getCache(DefaultEmbeddedCacheManager.java:116)
	at org.jboss.as.clustering.infinispan.subsystem.CacheService.start(CacheService.java:78)
	at org.jboss.as.clustering.msc.AsynchronousService$1.run(AsynchronousService.java:82) [jboss-as-clustering-common-7.1.3.Final-redhat-1.jar:7.1.3.Final-redhat-1]
	... 4 more
Caused by: org.infinispan.CacheException: Unable to start cache loaders
	at org.infinispan.loaders.CacheLoaderManagerImpl.start(CacheLoaderManagerImpl.java:160)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.6.0_35]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) [rt.jar:1.6.0_35]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [rt.jar:1.6.0_35]
	at java.lang.reflect.Method.invoke(Method.java:597) [rt.jar:1.6.0_35]
	at org.infinispan.util.ReflectionUtil.invokeAccessibly(ReflectionUtil.java:236)
	... 17 more
Caused by: org.infinispan.CacheConfigurationException: Unable to instantiate class org.infinispan.client.hotrod.impl.transport.tcp.TcpTransportFactory
	at org.infinispan.util.Util.loadClass(Util.java:90)
	at org.infinispan.util.Util.getInstance(Util.java:208)
	at org.infinispan.client.hotrod.RemoteCacheManager.start(RemoteCacheManager.java:464)
	at org.infinispan.client.hotrod.RemoteCacheManager.<init>(RemoteCacheManager.java:233)
	at org.infinispan.client.hotrod.RemoteCacheManager.<init>(RemoteCacheManager.java:190)
	at org.infinispan.loaders.remote.RemoteCacheStore.start(RemoteCacheStore.java:164)
	at org.infinispan.loaders.CacheLoaderManagerImpl.start(CacheLoaderManagerImpl.java:152)
	... 22 more
Caused by: java.lang.ClassNotFoundException: org.infinispan.client.hotrod.impl.transport.tcp.TcpTransportFactory
	at java.net.URLClassLoader$1.run(URLClassLoader.java:202) [rt.jar:1.6.0_35]
	at java.security.AccessController.doPrivileged(Native Method) [rt.jar:1.6.0_35]
	at java.net.URLClassLoader.findClass(URLClassLoader.java:190) [rt.jar:1.6.0_35]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:306) [rt.jar:1.6.0_35]
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301) [rt.jar:1.6.0_35]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:247) [rt.jar:1.6.0_35]
	at java.lang.Class.forName0(Native Method) [rt.jar:1.6.0_35]
	at java.lang.Class.forName(Class.java:247) [rt.jar:1.6.0_35]
	at org.infinispan.util.Util.loadClassStrict(Util.java:127)
	at org.infinispan.util.Util.loadClass(Util.java:88)
	... 28 more
{noformat}
Comment 6 JBoss JIRA Server 2012-09-11 10:25:22 EDT
Paul Ferraro <paul.ferraro@redhat.com> made a comment on jira AS7-4426

The <module name="org.infinispan.client.hotrod"/> was added to the wrong module.xml.  It should go in the org.jboss.as.clustering.infinispan module.xml, not the org.infinispan module.xml.  It should also be optional - meaning, you should be able to start a cache-container without the hotrod module, if you are not using a remote store.
Comment 7 JBoss JIRA Server 2012-09-11 16:08:47 EDT
Brian Stansberry <brian.stansberry@redhat.com> updated the status of jira AS7-4426 to Resolved
Comment 8 JBoss JIRA Server 2012-09-11 16:08:47 EDT
Brian Stansberry <brian.stansberry@redhat.com> made a comment on jira AS7-4426

This issue was resolved against a published release. If there are subsequent problems we need a new issue, not a re-opening of an existing one. I've done that by cloning this issue; now I'm re-resolving this one.

Note You need to log in before you can comment on or make changes to this bug.